openSUSE Security Update : graphviz (openSUSE-2017-1341)

High Nessus Plugin ID 105231

New! Vulnerability Priority Rating (VPR)

Tenable calculates a dynamic VPR for every vulnerability. VPR combines vulnerability information with threat intelligence and machine learning algorithms to predict which vulnerabilities are most likely to be exploited in attacks. Read more about what VPR is and how it's different from CVSS.

VPR Score: 5.9

Synopsis

The remote openSUSE host is missing a security update.

Description

This update for graphviz fixes the following issues :

Security issue fixed :

- CVE-2014-9157: Fix format string vulnerability (boo#908426).

Solution

Update the affected graphviz packages.

See Also

https://bugzilla.opensuse.org/show_bug.cgi?id=908426

Plugin Details

Severity: High

ID: 105231

File Name: openSUSE-2017-1341.nasl

Version: 3.3

Type: local

Agent: unix

Published: 2017/12/14

Updated: 2021/01/19

Dependencies: 12634

Risk Information

Risk Factor: High

VPR Score: 5.9

CVSS v2.0

Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:graphviz, p-cpe:/a:novell:opensuse:graphviz-debuginfo, p-cpe:/a:novell:opensuse:graphviz-debugsource, p-cpe:/a:novell:opensuse:graphviz-devel, p-cpe:/a:novell:opensuse:graphviz-gd, p-cpe:/a:novell:opensuse:graphviz-gd-debuginfo, p-cpe:/a:novell:opensuse:graphviz-gnome, p-cpe:/a:novell:opensuse:graphviz-gnome-debuginfo, p-cpe:/a:novell:opensuse:graphviz-guile, p-cpe:/a:novell:opensuse:graphviz-guile-debuginfo, p-cpe:/a:novell:opensuse:graphviz-gvedit, p-cpe:/a:novell:opensuse:graphviz-gvedit-debuginfo, p-cpe:/a:novell:opensuse:graphviz-gvedit-debugsource, p-cpe:/a:novell:opensuse:graphviz-java, p-cpe:/a:novell:opensuse:graphviz-java-debuginfo, p-cpe:/a:novell:opensuse:graphviz-lua, p-cpe:/a:novell:opensuse:graphviz-lua-debuginfo, p-cpe:/a:novell:opensuse:graphviz-perl, p-cpe:/a:novell:opensuse:graphviz-perl-debuginfo, p-cpe:/a:novell:opensuse:graphviz-php, p-cpe:/a:novell:opensuse:graphviz-php-debuginfo, p-cpe:/a:novell:opensuse:graphviz-plugins-debugsource, p-cpe:/a:novell:opensuse:graphviz-python, p-cpe:/a:novell:opensuse:graphviz-python-debuginfo, p-cpe:/a:novell:opensuse:graphviz-ruby, p-cpe:/a:novell:opensuse:graphviz-ruby-debuginfo, p-cpe:/a:novell:opensuse:graphviz-smyrna, p-cpe:/a:novell:opensuse:graphviz-smyrna-debuginfo, p-cpe:/a:novell:opensuse:graphviz-smyrna-debugsource, p-cpe:/a:novell:opensuse:graphviz-tcl, p-cpe:/a:novell:opensuse:graphviz-tcl-debuginfo, cpe:/o:novell:opensuse:42.2, cpe:/o:novell:opensuse:42.3

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2017/12/05

Reference Information

CVE: CVE-2014-9157